Functions

# glm::gtx::rotate_vector Namespace Reference

GLM_GTX_rotate_vector extension: Function to directly rotate a vector. More...

## Functions
template<typename T >
detail::tmat4x4< T > | orientation (const detail::tvec3< T > &Normal, const detail::tvec3< T > &Up)
| Build a rotation matrix from a normal and a up vector.
template<typename T >
detail::tvec2< T > | rotate (const detail::tvec2< T > &v, T angle)
| Rotate a two dimentionnals vector.
template<typename T >
detail::tvec3< T > | rotate (const detail::tvec3< T > &v, T angle, const detail::tvec3< T > &normal)
| Rotate a three dimentionnals vector around an axis.
template<typename T >
detail::tvec4< T > | rotate (const detail::tvec4< T > &v, T angle, const detail::tvec3< T > &normal)
| Rotate a four dimentionnals vector around an axis.
template<typename T >
detail::tvec3< T > | rotateX (const detail::tvec3< T > &v, T angle)
| Rotate a three dimentionnals vector around the X axis.
template<typename T >
detail::tvec4< T > | rotateX (const detail::tvec4< T > &v, T angle)
| Rotate a four dimentionnals vector around the X axis.
template<typename T >
detail::tvec3< T > | rotateY (const detail::tvec3< T > &v, T angle)
| Rotate a three dimentionnals vector around the Y axis.
template<typename T >
detail::tvec4< T > | rotateY (const detail::tvec4< T > &v, T angle)
| Rotate a four dimentionnals vector around the X axis.
template<typename T >
detail::tvec3< T > | rotateZ (const detail::tvec3< T > &v, T angle)
| Rotate a three dimentionnals vector around the Z axis.
template<typename T >
detail::tvec4< T > | rotateZ (const detail::tvec4< T > &v, T angle)
| Rotate a four dimentionnals vector around the X axis.

## Detailed Description

GLM_GTX_rotate_vector extension: Function to directly rotate a vector.

## Function Documentation

detail::tmat4x4<T> glm::gtx::rotate_vector::orientation | ( | const detail::tvec3< T > & | Normal,
|  | const detail::tvec3< T > & | Up
| ) |  |

Build a rotation matrix from a normal and a up vector.

From GLM_GTX_rotate_vector extension.

detail::tvec2<T> glm::gtx::rotate_vector::rotate | ( | const detail::tvec2< T > & | v,
|  | T | angle
| ) |  |

Rotate a two dimentionnals vector.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T> glm::gtx::rotate_vector::rotate | ( | const detail::tvec3< T > & | v,
|  | T | angle,
|  | const detail::tvec3< T > & | normal
| ) |  |

Rotate a three dimentionnals vector around an axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T> glm::gtx::rotate_vector::rotate | ( | const detail::tvec4< T > & | v,
|  | T | angle,
|  | const detail::tvec3< T > & | normal
| ) |  |

Rotate a four dimentionnals vector around an axis.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T> glm::gtx::rotate_vector::rotateX | ( | const detail::tvec3< T > & | v,
|  | T | angle
| ) |  |

Rotate a three dimentionnals vector around the X axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T> glm::gtx::rotate_vector::rotateX | ( | const detail::tvec4< T > & | v,
|  | T | angle
| ) |  |

Rotate a four dimentionnals vector around the X axis.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T> glm::gtx::rotate_vector::rotateY | ( | const detail::tvec3< T > & | v,
|  | T | angle
| ) |  |

Rotate a three dimentionnals vector around the Y axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T> glm::gtx::rotate_vector::rotateY | ( | const detail::tvec4< T > & | v,
|  | T | angle
| ) |  |

Rotate a four dimentionnals vector around the X axis.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T> glm::gtx::rotate_vector::rotateZ | ( | const detail::tvec3< T > & | v,
|  | T | angle
| ) |  |

Rotate a three dimentionnals vector around the Z axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T> glm::gtx::rotate_vector::rotateZ | ( | const detail::tvec4< T > & | v,
|  | T | angle
| ) |  |

Rotate a four dimentionnals vector around the X axis.

From GLM_GTX_rotate_vector extension.